package com.huatek.busi.service;

import com.huatek.busi.entity.RParamAttrBasicData;
import com.huatek.busi.vo.RParamAttrBasicDataVo;
import com.huatek.busi.where.RParamAttrBasicDataSelectVo;

import java.util.List;
import java.util.Map;

public interface IRParamAttrBasicDataService {

    Map<String, Object> findChildList(RParamAttrBasicDataSelectVo rParamAttrBasicDataSelectVo);

    Map<String, Object> saveOrUpdateChild(String token, RParamAttrBasicDataVo rParamAttrBasicDataVo);

    Map<String, Object> findOneChild(String token, String id);

    Map<String, Object> deleteChild(String token, List<String> ids);

    RParamAttrBasicData findRParamAttrBasicData(String mainEquId, String finalTestItem, String offlineParam, String unit);

    int insert(RParamAttrBasicData rParamAttrBasicData);

}
